Loading...
Searching...
No Matches
Catch::Generators::GeneratorWrapper< T > Class Template Referencefinal

`#include <catch_amalgamated.hpp>`

Collaboration diagram for Catch::Generators::GeneratorWrapper< T >:
[legend]

## Public Member Functions

| GeneratorWrapper (IGenerator< T > *generator)
| Takes ownership of the passed pointer.
| GeneratorWrapper (GeneratorPtr< T > generator)
T const & | get () const
bool | next ()

## Private Attributes

GeneratorPtr< T > | m_generator

## Constructor & Destructor Documentation

## GeneratorWrapper() [1/2]

template<typename T>

Catch::Generators::GeneratorWrapper< T >::GeneratorWrapper | ( | IGenerator< T > * | generator | ) |

inline

Takes ownership of the passed pointer.

## GeneratorWrapper() [2/2]

template<typename T>

Catch::Generators::GeneratorWrapper< T >::GeneratorWrapper | ( | GeneratorPtr< T > | generator | ) |

inline

## Member Function Documentation

## get()

template<typename T>

T const & Catch::Generators::GeneratorWrapper< T >::get | ( |  | ) | const

inline

## next()

template<typename T>

bool Catch::Generators::GeneratorWrapper< T >::next | ( |  | ) |

inline

## Member Data Documentation

## m_generator

template<typename T>

GeneratorPtr<T> Catch::Generators::GeneratorWrapper< T >::m_generator

private

The documentation for this class was generated from the following file:

- tests/vendor/catch_amalgamated.hpp